#include <bits/stdc++.h>
using namespace std;
int n, q, a[200005], b, niz[200005], mesto, m, res;


void pronadji(int x){
    for(int i=1; i<=m; i++){
        if(niz[i]==x){
            mesto=i;
            return;
        }
    }
    mesto=0;
    return;
}

void resi(int x){
    for(int i=1; i<=n; i++){
        niz[i]=a[i];
    }
    pronadji(x);
    if(mesto==0){
        niz[n+1]=x;
        res=1;
        m++;
        sort(niz+1, niz+m+1);
        pronadji(x);
    }
    res+=abs((mesto*2-1)-m);

    if(mesto>m/2+1){
        res--;
    }
    cout << res << endl;

}

int main(){
    cin >> n >> q;
    for(int i=1; i<=n; i++){
        cin >> a[i];
    }
    sort(a+1, a+n+1);
    for(int i=1; i<=q; i++){
        cin >> b;
        m=n;
        res=0;
        resi(b);
    }

    return 0;
}